Subject: bug#59122: 29.0.50; global-text-scale-adjust not working

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Nov 2022 18:33:35 +0200

> Cc: [email-masked], Rudolf Adamkovič <[email-masked]>
> From: Stefan Kangas <[email-masked]>
> Date: Sun, 13 Nov 2022 05:48:26 -0800
> 
> Gregory Heytings <[email-masked]> writes:
> 
> > Thanks.  This bug is fixed in the attached patch.
> 
> I can verify that the bug is fixed in that patch.  Thanks.
> 
> > It should of course be possible to make text-scale-adjust scale
> > smoothly too.
> 
> I think that would be good, to make things more consistent.  Even better
> if we could customize the step size, and/or the method of scaling for
> both commands.  One defcustom could be shared by both.

The change in text-scale-adjust should be backward-compatible by
default, otherwise I'll object to it.